<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    okText="保存"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭"
    footer=""
  >
    <!-- 邱东宝 增加modal按钮调整到顶部 1-->
    <template>
      <div style="position: absolute;left: 10%;top:13px;">
        <a-button v-if="!disableSubmit" @click="handleOk" type="primary" style="margin-bottom: 0;margin-right: 8px">保存
        </a-button>
        <a-button @click="handleCancel">
          关闭
        </a-button>
        <a-button v-if="this.result.sfsb == 3" @click="handleWCSH()" style=" margin-bottom: 0;margin-left: 8px">完成审核
        </a-button>
      </div>

    </template>
    <!--邱东宝 增加modal按钮调整到顶部 end-->
    <qc-qyxx-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit"></qc-qyxx-form>
  </j-modal>
</template>


<script>
import {getAction} from '@api/manage'
import QcQyxxForm from './QcQyxxForm2'

export default {
  name: 'QcQyxxModal',
  components: {
    QcQyxxForm
  },
  data() {
    return {
      title: '',
      result: {},
      width: 800,
      visible: false,
      disableSubmit: false
    }
  },
  methods: {
    add() {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.add();
      })
    },
    handleWCSH() {
      new Promise((resolve, reject) => {
        this.handleOk()
        resolve()
      }).then(() => {
        getAction("/qcsb.qyxx/qcQyxx/wcsh", {id: this.result.id}).then(res => {
         
          if (res.success == false) {
              this.$message.error("出错了，请联系管理员！")
          }
        })
      })

    },
    edit(record) {
      this.result = record
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.edit(record);
      })
    },
    close() {
      this.$emit('close');
      this.visible = false;
    },
    handleOk() {
      this.disableSubmit = true
      this.$refs.realForm.submitForm();
    },
    submitCallback() {
      this.$emit('ok');
      this.visible = false;
    },
    handleCancel() {
      this.close()
    }
  }
}
</script>